

#ifndef __IMAGER_MACRO1_H__
#define __IMAGER_MACRO1_H__



#include "defs.h"
#include "macro.h"

/* Functions, procedures and monadic operators */

variable_type mac_testpoint (unsigned char* s, int* i);
variable_type mac_dispose (unsigned char* s, int* i);
variable_type mac_message (unsigned char* s, int* i);
variable_type mac_print (unsigned char* s, int* i);
variable_type mac_loadimg (unsigned char* s, int* i);
variable_type mac_import (unsigned char* s, int* i);
variable_type mac_saveimg (unsigned char* s, int* i);
variable_type mac_display (unsigned char* s, int* i);
variable_type mac_setroi (unsigned char* s, int* i);
variable_type mac_fillroi (unsigned char* s, int* i);
variable_type mac_dimarray (unsigned char* s, int* i);
variable_type mac_graph (unsigned char* s, int* i);
variable_type mac_trim_image (unsigned char* s, int* i);

variable_type mac_int (unsigned char* s, int* i);
variable_type mac_round (unsigned char* s, int* i);
variable_type mac_log (unsigned char* s, int* i);
variable_type mac_log10 (unsigned char* s, int* i);
variable_type mac_exp (unsigned char* s, int* i);
variable_type mac_power (unsigned char* s, int* i);
variable_type mac_strlen (unsigned char* s, int* i);
variable_type mac_substring (unsigned char* s, int* i);
variable_type mac_strpos (unsigned char* s, int* i);
variable_type mac_strnum (unsigned char* s, int* i);

variable_type mac_mainimg (unsigned char* s, int* i);
/* variable_type mac_sobel (unsigned char* s, int* i);*/
variable_type mac_invert (unsigned char* s, int* i);
variable_type mac_convolve (unsigned char* s, int* i);
variable_type mac_freichen (unsigned char* s, int* i);
variable_type mac_fourierfilt (unsigned char* s, int* i);
/* variable_type mac_fourierfilt_log (unsigned char* s, int* i); */
variable_type mac_runlength (unsigned char* s, int* i);
variable_type mac_skeletonize (unsigned char* s, int* i);
variable_type mac_morph (unsigned char* s, int* i);
variable_type mac_threshold (unsigned char* s, int* i);
variable_type mac_threshold2 (unsigned char* s, int* i);
variable_type mac_auto_threshold (unsigned char* s, int* i);
variable_type mac_otsu_threshold (unsigned char* s, int* i);
variable_type mac_hysteresis_threshold (unsigned char* s, int* i);
variable_type mac_convert_image (unsigned char* s, int* i);
variable_type mac_crop (unsigned char* s, int* i);
variable_type mac_rotate (unsigned char* s, int* i);
variable_type mac_resize (unsigned char* s, int* i);
variable_type mac_imginfo (unsigned char* s, int* i);
variable_type mac_quantile (unsigned char* s, int* i);
variable_type mac_substack (unsigned char* s, int* i);
variable_type mac_profile (unsigned char* s, int* i);
variable_type mac_remove_bk (unsigned char* s, int* i);
variable_type mac_fill_holes (unsigned char* s, int* i);
variable_type mac_img_histo (unsigned char* s, int* i);
variable_type mac_histogram (unsigned char* s, int* ii);
variable_type mac_rgb2stack (unsigned char* s, int* i);
variable_type mac_imgtorgb (unsigned char* s, int* i);
variable_type mac_combine (unsigned char* s, int* i);
variable_type mac_setparm (unsigned char* s, int* i);
variable_type mac_dimension (unsigned char* s, int* i);
variable_type mac_lacunarity (unsigned char* s, int* i);
variable_type mac_roseplot (unsigned char* s, int* i);
variable_type mac_fft (unsigned char* s, int* i);
variable_type mac_invfft (unsigned char* s, int* i);
variable_type mac_potential2d (unsigned char* s, int* i);
variable_type mac_trace_contour (unsigned char* s, int* i);
variable_type mac_boundary_len (unsigned char* s, int* i);
variable_type mac_timecourse (unsigned char* s, int* i);
variable_type mac_kltransform (unsigned char* s, int* i);
variable_type mac_skeletonstats (unsigned char* s, int* i);
variable_type mac_cluster2d (unsigned char* s, int* i);
variable_type mac_cluster3d (unsigned char* s, int* i);
variable_type mac_clustercount (unsigned char* s, int* i);
variable_type mac_center (unsigned char* s, int* i);
variable_type mac_watershed (unsigned char* s, int* i);
variable_type mac_regiongrow (unsigned char* s, int* i);
variable_type mac_hillclimb (unsigned char* s, int* i);
variable_type mac_measure (unsigned char* s, int* i);
variable_type mac_histeq (unsigned char* s, int* i);


#endif

